> For the complete documentation index, see [llms.txt](https://docs.fringe.fi/v2-smart-contract-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fringe.fi/v2-smart-contract-documentation/bondtroller/bondtrollerv2storage.md).

# BondtrollerV2Storage

## Overview

#### License: MIT

```solidity
contract BondtrollerV2Storage is BondtrollerV1Storage
```

## Structs info

### Market

```solidity
struct Market {
	bool isListed;
	uint256 collateralFactorMantissa;
	bool isComped;
}
```

## State variables info

### accountMembership (0x9ace3ada)

```solidity
mapping(address => mapping(address => bool)) accountMembership
```

Per-market mapping of "accounts in this asset"

### markets (0x8e8f294b)

```solidity
mapping(address => struct BondtrollerV2Storage.Market) markets
```

Official mapping of BTokens -> Market metadata

Used e.g. to determine if a market is supported

### pauseGuardian (0x24a3d622)

```solidity
address pauseGuardian
```

The Pause Guardian can pause certain actions as a safety mechanism. Actions which allow users to remove their own assets cannot be paused. Liquidation / seizing / transfer can only be paused globally, not by market.

### \_mintGuardianPaused (0x3c94786f)

```solidity
bool _mintGuardianPaused
```

### \_borrowGuardianPaused (0xe6653f3d)

```solidity
bool _borrowGuardianPaused
```

### transferGuardianPaused (0x87f76303)

```solidity
bool transferGuardianPaused
```

### seizeGuardianPaused (0xac0b0bb7)

```solidity
bool seizeGuardianPaused
```

### mintGuardianPaused (0x731f0c2b)

```solidity
mapping(address => bool) mintGuardianPaused
```

### borrowGuardianPaused (0x6d154ea5)

```solidity
mapping(address => bool) borrowGuardianPaused
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fringe.fi/v2-smart-contract-documentation/bondtroller/bondtrollerv2storage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
